apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: jackett
  namespace: multimedia
  labels:
    app: jackett
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  rules:
    - host: jackett.192.168.1.250.nip.io
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: jackett
                port:
                  number: 9117
    - host: jackett.airmonitor.pl
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: jackett
                port:
                  number: 9117
  tls:
    - hosts:
        - jackett.airmonitor.pl
      secretName: jackett-secret-tls
